import 'package:flutter/material.dart';

class AppColors {
  static const transparent = Colors.transparent;
  static const mainPurple = Color(0xFF7954F7);
  static const purpleBg = Color(0xFFAEA4FC);
  static const deepPurple = Color(0xFF7C65E7);
  static const logoColor = Color(0xFF7C65E7);
  static const buttonColor = Color(0xFF6A46F5);
  static const splashBgColor = Color(0xFF3C355D);

  static const lightGray = Color(0xFFF4F5F7);
  static const lightPurple = Color(0xFFB7A3E6);
  static const scaffoldBgColor = Color(0xFFF8F8F8);
  static const lightGreyEFColor = Color(0xffeaeaff);
  static const greyF7Color = Color(0xffF7F7F7);
  static const lightGrayColor = Color(0xff808080);
  static const buttonGrayColor = Color(0xffF1F1F1);
  static const lightPurpleAlpha = Color(0x5AB7A3E6);

// New UI Colors
  static const whiteColor = Color(0xFFffffff);
  static const Color bgScaffoldColor = Color(0xffF8F8F8);
  static const Color primaryRedColor = Color(0xFFED1C2B);
  static const Color primaryRedBorderColor = Color(0xFFED1C2B);
  static const Color secondaryLightRedColor = Color(0xFFFEE9EA);
  static const Color secondaryLightRedBorderColor = Color(0xFFFEE9EA);
  static const Color bgRedLightColor = Color(0xFFFEE9EA);
  static const Color bgGreenColor = Color(0xFF18C273);
  static const Color textColor = Color(0xFF2E3039);
  static const Color textColorLight = Color(0xFF5E5E5E);
  static const Color borderOnlyColor = Color(0xFF2E3039);
  static const Color dividerColor = Color(0xFFD2D2D2);
  static const Color warningColorYellow = Color(0xFFF4A308);
  static const Color blackBgColor = Color(0xFF2E3039);
  static const blackColor = textColor;
  static const inputLabelTextColor = Color(0xff898A8D);
  static const greyTextColor = Color(0xFF8F9AA3);


  static const lightGreenColor = Color(0xFF0ccedde);
  static const textGreenColor = Color(0xFF18C273);
  static const Color ratingColorYellow = Color(0xFFFFAF15);

  //Chips
  static const Color successColor = Color(0xff18C273);
  static const Color errorColor = Color(0xFFED1C2B);
  static const Color alertColor = Color(0xFFD48D05);
  static const Color infoColor = Color(0xFF0B85F7);
  static const Color warningColor = Color(0xFFFFCC00);
  static const Color greyColor = Color(0xFFEFEFF0);

static const Color successLightColor = Color(0xFF18C273);
static const Color errorLightColor = Color(0xFFED1C2B);
static const Color alertLightColor = Color(0xFFD48D05);
static const Color infoLightColor = Color(0xFF0B85F7);
static const Color warningLightColor = Color(0xFFFFCC00);
static const Color greyLightColor = Color(0xFFEFEFF0);

static const Color bottomNAVBorder = Color(0xFFEEEEEE);
}
